Flask==1.1.1
werkzeug==0.16.0

# Hello. This is Nick from the future (Feb 2022 to be exact). A new addition
# had to be made below to fix an issue related to the version of Flask
# that we use. A new major version of both itsdangerous and markupsafe came up
# that are no longer backwards compatible with our version of Flask.
#
# These packages are both dependencies of Flask and now we're locking them to
# a specific version that works with our version of Flask.
itsdangerous==1.1.0
markupsafe==1.1.1

# Hello. This is Nick from the future (March 2022 to be exact). A new addition
# had to be made below to fix an issue with a recent release of Jinja 3.1. It's
# breaking all sorts of libraries, so let's lock it to a stable 3.0.X version.
#
# Jinja 2 is the HTML templating library that Flask uses.
jinja2==3.0.3

# Application server for both development and production.
gunicorn==20.0.4

# Testing and static analysis.
pytest==5.3.2
pytest-cov==2.8.1
mock==3.0.5
flake8==3.7.9

# Data and workers.
psycopg2-binary==2.8.4
Flask-SQLAlchemy==2.4.1
SQLAlchemy==1.3.12
alembic==1.3.2

redis==3.3.11
celery==4.4.0

# Forms.
Flask-WTF==0.14.2
WTForms-Components==0.10.4
WTForms-Alchemy==0.16.9

# Hello. This is Nick from the future (Nov 2021 to be exact). WTForms 3.x came
# out recently and has a number of backwards incompatible changes. Flask-WTF
# will install the latest version so we need to version lock WTForms to 2.3.3.
# A future update video will address using the latest WTForms version.
WTForms==2.3.3

# Payments.
stripe==2.41.0

# Utils.
faker==3.0.0

# Extensions.
flask-debugtoolbar==0.10.1
Flask-Mail==0.9.1
Flask-Login==0.4.1
Flask-Limiter==1.1.0
Flask-Babel==0.12.2
Flask-Static-Digest==0.1.2
